﻿@import url('open-iconic/font/css/open-iconic-bootstrap.min.css');
html, body {
    --bs-nav-link-color: white;
    font-family: 'Helvetica Neue', Helvetica, Arial, sans-serif;
    color: #000000;
    --bb-scroll-width: 10px;
    --bb-scroll-hover-width:10px;
    /*    --bb-layout-sidebar-backgound: #091b25;
    --bs-body-color: #ffffff;*/
    /*    color: #ffffff;
*/
    /*    --bs-border-color: #71787f;*/
}
/*.modal {
    --bs-modal-bg: rgb(255,255,255,0.3);
}*/
/*.table-container {
    background: rgb(0,0,0,0.7);
    padding: 4px;
}
.table {
    background-color: #37424d;
}*/
input {
    caret-color: black; /* 光标始终为蓝色 */
}
input:hover {
    caret-color: black; /* 光标始终为蓝色 */
}
h1:focus {
    outline: none;
}

a, .btn-link {
    color: #0071c1;
}

.btn-primary {
    color: #fff;
    background-color: #1b6ec2;
    border-color: #1861ac;
}

.valid.modified:not([type=checkbox]) {
    outline: 1px solid #26b050;
}

.invalid {
    outline: 1px solid red;
}

.validation-message {
    color: red;
}

#blazor-error-ui {
    background: lightyellow;
    bottom: 0;
    box-shadow: 0 -1px 2px rgba(0, 0, 0, 0.2);
    display: none;
    left: 0;
    padding: 0.6rem 1.25rem 0.7rem 1.25rem;
    position: fixed;
    width: 100%;
    z-index: 1000;
}

    #blazor-error-ui .dismiss {
        cursor: pointer;
        position: absolute;
        right: 0.75rem;
        top: 0.5rem;
    }

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}

    .blazor-error-boundary::after {
        content: "An error has occurred."
    }
.content {
    padding-top: 1.1rem;
    height: calc(100% - 60px);
}
.full_screen {
    height: calc(100%);
    max-height: calc(100%);
    overflow-x:hidden;
    overflow-y:scroll;
}
.full_screen2 {
    height: calc(100% - 150px);
    max-height: calc(100% - 150px);
    overflow-x: hidden;
    overflow-y: scroll;
}
.full_screen3 {
    height: calc(100% + 120px);
    max-height: calc(100% + 120px);
}
.all_tree_node
{
    background-color:ghostwhite;
    width:100%;
    border:1px dashed #efefef;
}
.index-menu
{
    color:white;
}
/*.modal-header, .modal-body, .modal-footer {
    background-color: #37424d;
}*/
.modal-content {
    padding: 10px;
/*    background-color: #d6d6d6;*/
    border: 1px solid rgba(0,0,0,.5)
}
.index-menu .scroll {
    height: calc(100vh - 60px);
}
.index-menu .scroll {
    overflow-x: hidden;
    overflow-y: scroll;
    max-height: calc(100% - 36px);
    padding: 5px 0;
}
.inner_dlg
{
    max-height:500px;
    overflow-x:hidden;
    overflow-y:scroll;
}
#page_wrapper
{
    overflow-y:auto;
}
.dark_ctl {
    background-color: #e9ecef;
}
.layout-header {
    background-image: url(../imgs/body/sunset.jpg);
}
.layout-banner, .layout.is-page .layout-header {

    border-bottom: 1px solid rgba(255, 255, 255, 0.15);
}
.layout-header-bar {
    background-color: rgba(0, 0, 0, 0.5);
}
.layout.is-page .layout-side .layout-banner {
    border-bottom:none;
    background-color:none;
    font-size: 1.2rem;
}
.inner_edit_table input, .inner_edit_table .form-inline, .inner_edit_table .form-label+* {
    width: 100%;
}
.high_div_foot .form-footer
{
    height:150px;
}
/*.table-container .table tbody tr.highlight, .table-container .table-row.highlight {
    background-color: #ffe3e3;
    color: #000;
}*/
/*.inner_edit_table2 td>.table-cell {
    border:1px solid #efefef
}*/
/*.inner_edit_table2 th {
    width: 100px;
    min-width: 100px;
}
.inner_edit_table2 td {
    width: 100px;
    min-width: 100px;
}*/
/*.inner_edit_table2 .table-th-checkbox {
    min-width:1px;
    width:1px;
    visibility: hidden;
}
.inner_edit_table2 tr td:nth-child(1) {
    min-width: 30px;
    width: 30px;
}
.inner_edit_table2 tr td:nth-child(2) {
    min-width: 30px;
    width: 30px;
}*/
.layout.is-page .layout-side .layout-banner {
    background-color: #48284e;
}
:root {
    --bb-border-focus-color: #2f9688;
    --bb-border-hover-color: #2f9688;
}
/** 地图上的故障处理器显示效果*/
.css_animation {
    height: 50px;
    width: 50px;
    border-radius: 25px;
    background: rgba(255, 0, 0, 0.9);
    transform: scale(0);
    animation: myfirst 3s;
    animation-iteration-count: infinite;
}

@keyframes myfirst {
    to {
        transform: scale(2);
        background: rgba(0, 0, 0, 0);
    }
}

.wider_label > .form-label {
    width: 200px;
}
/*#skin-blur-blue {
    background-image: url(../imgs/body/sunset.jpg);
}*/
/*.table-bordered thead tr:last-child > th {
    border-bottom-width: 1px !important;
}
table {
    border-spacing: 1px;
}
.multi-select .multi-select-items span {
    color:dimgrey;
}
.menu .nav .dropdown-menu .nav-link:not(.disabled):hover, .menu .nav .dropdown-menu .nav-link.active, .menu .submenu .nav-link.active, .menu .submenu .nav-link:not(.disabled):hover, .cascade .dropdown-item:not(.disabled):hover, .cascade .dropdown-item.active, .cascade .nav .nav-link:not(.disabled):hover, .cascade .nav .nav-link.active {
    background-color: #adda7f;
}
*/
.required .form-label::before {
    content: "*";
    color: red;
}
.layout {
    --bb-layout-header-color: white;
    --bb-layout-sidebar-background: #343a40;
    --bb-layout-title-color: white;
}
.index-menu .menu {
    --bb-menu-item-hover-color: white;
    --bs-nav-link-color: white;
    --bb-menu-item-hover-bg: #2b85e5;
}

.menu .nav-link > div {
    color: white;
}
/* 增强样式优先级，防止闪烁 */
.menu .nav-link, 
.menu .nav-link:hover, 
.menu .nav-link:focus, 
.menu .nav-link:active,
.menu .nav-link.active {
    color: white !important;
}
.nav-link {
    --bs-nav-link-color: white;
}
.table-container
{
    height:auto;
}
/* 全局强制重写 */
.table-shim.table-wrapper.scroll {
    --bb-scroll-width: 12px !important;
    --bb-scroll-hover-width: 12px !important;
}